aboutsummaryrefslogtreecommitdiff
path: root/dev/ci/azure-test.sh
diff options
context:
space:
mode:
authorGaëtan Gilbert2018-12-12 14:10:52 +0100
committerGaëtan Gilbert2018-12-17 16:42:36 +0100
commitbb1c89a486d47dbf497756b8374337a6857a96de (patch)
tree82e30800cd9c23a903b5cd6d528d1b8243e4a98f /dev/ci/azure-test.sh
parent9349e0367d2d50b11ccd31c8f6d1979ebd52e555 (diff)
Set up CI with Azure Pipelines
Diffstat (limited to 'dev/ci/azure-test.sh')
-rwxr-xr-xdev/ci/azure-test.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/dev/ci/azure-test.sh b/dev/ci/azure-test.sh
new file mode 100755
index 0000000000..8813245e5a
--- /dev/null
+++ b/dev/ci/azure-test.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e -x
+
+#NB: if we make test-suite from the main makefile we get environment
+#too large for exec error
+cd $(dirname $0)/../../test-suite
+make -j 2 clean
+make -j 2 PRINT_LOGS=1